org.apache.hadoop.yarn.server.security.http

## Class RMAuthenticationFilterInitializer

- java.lang.Object
- - org.apache.hadoop.http.FilterInitializer
  - - org.apache.hadoop.yarn.server.security.http.RMAuthenticationFilterInitializer

-     @InterfaceStability.Unstable
      public class RMAuthenticationFilterInitializer
      extends org.apache.hadoop.http.FilterInitializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMAuthenticationFilterInitializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,String>` | `createFilterConfig(org.apache.hadoop.conf.Configuration conf)`
    `void` | `initFilter(org.apache.hadoop.http.FilterContainer container, org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RMAuthenticationFilterInitializer

          public RMAuthenticationFilterInitializer()

  - ### Method Detail

    - #### createFilterConfig

          protected Map<String,String> createFilterConfig(org.apache.hadoop.conf.Configuration conf)

    - #### initFilter

          public void initFilter(org.apache.hadoop.http.FilterContainer container,
                                 org.apache.hadoop.conf.Configuration conf)

      Specified by:
        `initFilter` in class `org.apache.hadoop.http.FilterInitializer`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.